> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get onboarding checklist items for the team



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json get /v1/team/onboarding
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/team/onboarding:
    get:
      tags:
        - Team
      summary: Get onboarding checklist items for the team
      operationId: TeamController_getOnboarding
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OnboardingResponseDto'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - bearer: []
components:
  schemas:
    OnboardingResponseDto:
      type: object
      properties:
        completed:
          type: boolean
        items:
          type: array
          items:
            $ref: '#/components/schemas/OnboardingItemDto'
      required:
        - completed
        - items
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
    OnboardingItemDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - CONNECT_INTEGRATION
            - SEE_DETECTIONS
            - REVIEW_VIP_USERS
            - REVIEW_CRITICAL_ENDPOINTS
            - ENABLE_CHAT_OPS
            - REVIEW_CONTAINMENT
            - DISABLE_TEST_MODE
        status:
          type: string
          enum:
            - PENDING
            - COMPLETED
        completedAt:
          type: string
      required:
        - type
        - status
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````